Bug 1076640 - Boost: issue due to _multibuild usage
Boost: issue due to _multibuild usage
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Adam Majer
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-18 17:39 UTC by Dominique Leuenberger
Modified: 2021-04-28 22:16 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-01-18 17:39:57 UTC
The boost package has been converted to be a _multibuild package, which in itself is 'ok', but there is an error slipped in

Since the spec file has 'Name: boost' unconditional, all flavors produce a src.rpm named boost-%{verision}-%{releae}.src.rpm, with the last one built overwriting other flavors. The same happens with the boost-*-debuginfo package.

Duplicate binary names cannot coexist in one rpeository

The solution is to use different Name: tags in the .spec file and ensuring no binary is produced more than once with the same name.
Comment 1 Adam Majer 2018-01-19 14:11:01 UTC
Fix submitted to Factory.

It seems this doesn't affect the OBS backend, since _multibuild is tracked there uniquely. Only for published packages.
Comment 7 Swamp Workflow Management 2021-04-28 22:16:12 UTC
SUSE-RU-2021:1414-1: An update that solves one vulnerability, contains two features and has 22 fixes is now available.

Category: recommended (important)
Bug References: 1006584,1038083,1076640,1082318,1175886,401964,439805,457699,461372,477603,479659,544958,621140,655747,714373,765443,951902,958150,994378,994381,994382,994383,996917
CVE References: CVE-2008-0171
JIRA References: ECO-3147,SLE-17304
Sources used:
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    boost-legacy-base-1.66.0-1.4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.